sc::VWN4LCFunctional(3)

NAME
sc::VWN4LCFunctional - The VWN4LCFunctional computes energies and densities using the VWN4 local correlation term (from Vosko, Wilk, and Nusair).

SYNOPSIS

#include <functional.h>

Inherits sc::VWNLCFunctional.

  Public Methods
VWN4LCFunctional ()
VWN4LCFunctional (const Ref< KeyVal > &)
VWN4LCFunctional (StateIn &)
~VWN4LCFunctional ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

  Protected Attributes
int monte_carlo_prefactor_

DETAILED DESCRIPTION

The VWN4LCFunctional computes energies and densities using the VWN4 local correlation term (from Vosko, Wilk, and Nusair).

MEMBER FUNCTION DOCUMENTATION

  void sc::VWN4LCFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::VWNLCFunctional.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.